[Python-modules-commits] r4808 - in packages/mpmath/trunk/debian (4 files)

morph-guest at users.alioth.debian.org morph-guest at users.alioth.debian.org
Thu Mar 13 00:35:16 UTC 2008


    Date: Thursday, March 13, 2008 @ 00:35:15
  Author: morph-guest
Revision: 4808

upgrade to 0.7

Added:
  packages/mpmath/trunk/debian/uscan-ziprepack.sh
Modified:
  packages/mpmath/trunk/debian/changelog
  packages/mpmath/trunk/debian/rules
  packages/mpmath/trunk/debian/watch

Modified: packages/mpmath/trunk/debian/changelog
===================================================================
--- packages/mpmath/trunk/debian/changelog	2008-03-13 00:28:18 UTC (rev 4807)
+++ packages/mpmath/trunk/debian/changelog	2008-03-13 00:35:15 UTC (rev 4808)
@@ -1,3 +1,15 @@
+mpmath (0.7-1) UNRELEASED; urgency=low
+
+  * New upstream release
+  * debian/uscan-ziprepack.sh
+    - added (thanks to bzed)
+  * debian/watch
+    - updated to use debian/uscan-ziprepack.sh
+  * debian/rules
+    - added doc/* file installation
+
+ -- Sandro Tosi <matrixhasu at gmail.com>  Wed, 16 Jan 2008 17:20:46 +0100
+
 mpmath (0.6-1) unstable; urgency=low
 
   * New upstream release

Modified: packages/mpmath/trunk/debian/rules
===================================================================
--- packages/mpmath/trunk/debian/rules	2008-03-13 00:28:18 UTC (rev 4807)
+++ packages/mpmath/trunk/debian/rules	2008-03-13 00:35:15 UTC (rev 4808)
@@ -36,7 +36,8 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs	CHANGES
-	dh_installdocs		README
+	dh_installdocs		README doc/*
+	dh_installexamples	demo/*
 	dh_pysupport
 	dh_compress		-X.py
 	dh_fixperms

Added: packages/mpmath/trunk/debian/uscan-ziprepack.sh
===================================================================
--- packages/mpmath/trunk/debian/uscan-ziprepack.sh	                        (rev 0)
+++ packages/mpmath/trunk/debian/uscan-ziprepack.sh	2008-03-13 00:35:15 UTC (rev 4808)
@@ -0,0 +1,50 @@
+#!/bin/bash -e
+
+# Simple helper-script for uscan to repackage a .zip file into a tar.gz.
+#
+# Example debian/watch content:
+#    version=3
+#    http://foo.bar.com/fuzz/fuddl-(.*).zip debian debian/uscan-ziprepack.sh
+#
+# I hereby put this script into public domain.
+# Bernd Zeimetz <bzed at debian.org>, Dec 13 2007
+
+
+#command --upstream-version version filename
+[ $# -eq 3 ] || exit 255
+version="$2"
+filename="$3"
+source=`dpkg-parsechangelog  | grep ^Source | awk '{print $2}'`
+destdir=`echo ${filename} | sed 's,/[^/]*$,,'`
+if [ "${destdir}" = "${filename}" ]; then
+    destdir=`pwd`
+fi
+tarball=${source}_${version}.orig.tar.gz
+TMP="tmp__${RANDOM}"
+
+mkdir ${TMP}
+unzip -d ${TMP} ${filename}
+
+
+contentcount=`ls ${TMP} | grep -c '[^*$]'`
+if [ ${contentcount} -eq 1 ]; then
+#if there's only one folder in the temp directory....
+    cd ${TMP}
+    tar cvf - * | gzip -9 > ../${tarball}
+    cd ..
+    rm -rf ${TMP}
+elif [ ${contentcount} -gt 1 ]; then
+#upstream forgot to add a subdir to the zip
+    mv ${TMP} ${source}-${version}.orig
+    tar cvf - ${source}-${version}.orig | gzip -9 > ${tarball}
+else
+#weird.
+    echo 'Empty zip file or an weird error happened.'
+    unzip -l ${filename}
+    exit 255
+fi
+
+mv ${tarball} ${destdir}
+rm ${filename}
+echo "Tarball dropped to ${destdir}/${tarball}"
+


Property changes on: packages/mpmath/trunk/debian/uscan-ziprepack.sh
___________________________________________________________________
Name: svn:executable
   + *

Modified: packages/mpmath/trunk/debian/watch
===================================================================
--- packages/mpmath/trunk/debian/watch	2008-03-13 00:28:18 UTC (rev 4807)
+++ packages/mpmath/trunk/debian/watch	2008-03-13 00:35:15 UTC (rev 4808)
@@ -1,3 +1,3 @@
 version=3
 
-http://code.google.com/p/mpmath/downloads/list http://mpmath.googlecode.com/files/mpmath-(.*)\.zip
+http://code.google.com/p/mpmath/downloads/list http://mpmath.googlecode.com/files/mpmath-(.*)\.zip	debian	debian/uscan-ziprepack.sh




More information about the Python-modules-commits mailing list